0

I'm using Ubuntu 19.10 and I've just installed QGIS 3.10 using this lines in console:

#add lines
sudo nano /etc/apt/sources.list
deb https://qgis.org/ubuntu-ltr eoan main
deb-src https://qgis.org/ubuntu-ltr eoan main

#public key
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key 51F523511C7028C3
#install
sudo apt-get update && sudo apt-get install qgis qgis-plugin-grass

Everything seems to work just fine but, I found that I can't manage GPKG files. As far as I know, they should be in the gdal library. I've installed 2.4.2 version and I cant find GPKG format within it.

> ogr2ogr --version
GDAL 2.4.2, released 2019/06/28
> ogr2ogr --formats | grep GPKG
...

> gdalinfo --formats | grep ECW
ECW -raster- (rw+): ERDAS Compressed Wavelets (SDK 5.4)
JP2ECW -raster,vector- (rw+v): ERDAS JPEG2000 (SDK 5.4)
> gdalinfo --formats | grep GPKG
....

Should I upgrade gdal? It would be enough with some extra libraries?

1

That's odd, I get:

> lsb_release -a                                                                               
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 19.10
Release:    19.10
Codename:   eoan
> ogr2ogr --version
GDAL 2.4.2, released 2019/06/28
> ogr2ogr --formats | grep GPKG
  GPKG -raster,vector- (rw+vs): GeoPackage
> gdalinfo --formats | grep ECW
>

But I'm using a different source to you:

> grep qgis /etc/apt/sources.list
deb https://qgis.org/ubuntu eoan main 
deb-src https://qgis.org/ubuntu eoan main
| improve this answer | |
  • I'm using -ltr to get QGIS 3.10 instead of 3.12 – César Arquero Apr 15 at 14:56
  • that may be the difference but it seems unlikely – Ian Turton Apr 15 at 14:56
0

I solved it just installing gdal 2.4.4.

  1. Donwload the gdal version in https://gdal.org/download.html
  2. Unzip and enter in the directory (cd gdal-2.4.4)
  3. ./configure sudo make
  4. clean && sudo make && sudo make install

This is what I get after it (and gpkg work in qgis too):

> ogr2ogr --version
GDAL 2.4.4, released 2020/01/08
> gdalinfo --version
GDAL 2.4.4, released 2020/01/08
> gdalinfo --formats | grep GPKG
GPKG -raster,vector- (rw+vs): GeoPackage
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.